/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const CANCEL = i18n.translate('xpack.securitySolution.exceptions.editException.cancel', {
  defaultMessage: 'Cancel',
});

export const EDIT_EXCEPTION_SAVE_BUTTON = i18n.translate(
  'xpack.securitySolution.exceptions.editException.editExceptionSaveButton',
  {
    defaultMessage: 'Save',
  }
);

export const EDIT_EXCEPTION_TITLE = i18n.translate(
  'xpack.securitySolution.exceptions.editException.editExceptionTitle',
  {
    defaultMessage: 'Edit Rule Exception',
  }
);

export const EDIT_ENDPOINT_EXCEPTION_TITLE = i18n.translate(
  'xpack.securitySolution.exceptions.editException.editEndpointExceptionTitle',
  {
    defaultMessage: 'Edit Endpoint Exception',
  }
);

export const EDIT_EXCEPTION_ERROR = i18n.translate(
  'xpack.securitySolution.exceptions.editException.error',
  {
    defaultMessage: 'Failed to update exception',
  }
);

export const EDIT_EXCEPTION_SUCCESS = i18n.translate(
  'xpack.securitySolution.exceptions.editException.success',
  {
    defaultMessage: 'Successfully updated exception',
  }
);

export const BULK_CLOSE_LABEL = i18n.translate(
  'xpack.securitySolution.exceptions.editException.bulkCloseLabel',
  {
    defaultMessage: 'Close all alerts that match this exception and were generated by this rule',
  }
);

export const BULK_CLOSE_LABEL_DISABLED = i18n.translate(
  'xpack.securitySolution.exceptions.editException.bulkCloseLabel.disabled',
  {
    defaultMessage:
      'Close all alerts that match this exception and were generated by this rule (Lists and non-ECS fields are not supported)',
  }
);

export const ENDPOINT_QUARANTINE_TEXT = i18n.translate(
  'xpack.securitySolution.exceptions.editException.endpointQuarantineText',
  {
    defaultMessage:
      'On all Endpoint hosts, quarantined files that match the exception are automatically restored to their original locations. This exception applies to all rules using Endpoint exceptions.',
  }
);

export const EXCEPTION_BUILDER_INFO = i18n.translate(
  'xpack.securitySolution.exceptions.editException.infoLabel',
  {
    defaultMessage: "Alerts are generated when the rule's conditions are met, except when:",
  }
);

export const VERSION_CONFLICT_ERROR_TITLE = i18n.translate(
  'xpack.securitySolution.exceptions.editException.versionConflictTitle',
  {
    defaultMessage: 'Sorry, there was an error',
  }
);

export const VERSION_CONFLICT_ERROR_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.exceptions.editException.versionConflictDescription',
  {
    defaultMessage:
      "It appears this exception was updated since you first selected to edit it. Try clicking 'Cancel' and editing the exception again.",
  }
);

export const EDIT_EXCEPTION_SEQUENCE_WARNING = i18n.translate(
  'xpack.securitySolution.exceptions.editException.sequenceWarning',
  {
    defaultMessage:
      "This rule's query contains an EQL sequence statement. The exception modified will apply to all events in the sequence.",
  }
);
