/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { ESTermQuery } from '../../../../../common/typed_json';
import { NarrowDateRange } from '../../../components/ml/types';
import { UpdateDateRange } from '../../../components/charts/common';
import { GlobalTimeArgs } from '../../use_global_time';
import { HostsType } from '../../../../hosts/store/model';
import { NetworkType } from '../../../../network/store//model';
import { FlowTarget } from '../../../../../common/search_strategy';

interface QueryTabBodyProps {
  type: HostsType | NetworkType;
  filterQuery?: string | ESTermQuery;
}

export type AnomaliesQueryTabBodyProps = QueryTabBodyProps & {
  anomaliesFilterQuery?: object;
  // eslint-disable-next-line @typescript-eslint/no-explicit-any
  AnomaliesTableComponent: React.NamedExoticComponent<any>;
  deleteQuery?: ({ id }: { id: string }) => void;
  endDate: GlobalTimeArgs['to'];
  flowTarget?: FlowTarget;
  indexNames: string[];
  narrowDateRange: NarrowDateRange;
  setQuery: GlobalTimeArgs['setQuery'];
  startDate: GlobalTimeArgs['from'];
  skip: boolean;
  updateDateRange?: UpdateDateRange;
  hideHistogramIfEmpty?: boolean;
  ip?: string;
  hostName?: string;
};
