/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const PAGE_TITLE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.pageTitle',
  {
    defaultMessage: 'Rule details',
  }
);

export const BACK_TO_RULES = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.backToRulesButton',
  {
    defaultMessage: 'Rules',
  }
);

export const EXPERIMENTAL = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.experimentalDescription',
  {
    defaultMessage: 'Experimental',
  }
);

export const ACTIVATE_RULE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.activateRuleLabel',
  {
    defaultMessage: 'Activate',
  }
);

export const UNKNOWN = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.unknownDescription',
  {
    defaultMessage: 'Unknown',
  }
);

export const ERROR_CALLOUT_TITLE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.errorCalloutTitle',
  {
    defaultMessage: 'Rule failure at',
  }
);

export const PARTIAL_FAILURE_CALLOUT_TITLE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.partialErrorCalloutTitle',
  {
    defaultMessage: 'Warning at',
  }
);

export const FAILURE_HISTORY_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.failureHistoryTab',
  {
    defaultMessage: 'Failure History',
  }
);

export const LAST_FIVE_ERRORS = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.lastFiveErrorsTitle',
  {
    defaultMessage: 'Last five errors',
  }
);

export const COLUMN_STATUS_TYPE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.statusTypeColumn',
  {
    defaultMessage: 'Type',
  }
);

export const COLUMN_FAILED_AT = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.statusFailedAtColumn',
  {
    defaultMessage: 'Failed at',
  }
);

export const COLUMN_FAILED_MSG = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.statusFailedMsgColumn',
  {
    defaultMessage: 'Failed message',
  }
);

export const TYPE_FAILED = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.statusFailedDescription',
  {
    defaultMessage: 'Failed',
  }
);

export const EXCEPTIONS_TAB = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.exceptionsTab',
  {
    defaultMessage: 'Exceptions',
  }
);

export const DELETED_RULE = i18n.translate(
  'xpack.securitySolution.detectionEngine.ruleDetails.deletedRule',
  {
    defaultMessage: 'Deleted rule',
  }
);
