/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the Elastic License
 * 2.0; you may not use this file except in compliance with the Elastic License
 * 2.0.
 */

import { i18n } from '@kbn/i18n';

export const TIMELINE_DESCRIPTION = i18n.translate(
  'xpack.securitySolution.timeline.properties.timelineDescription',
  {
    defaultMessage: 'Timeline Description',
  }
);

export const ADD_TO_FAVORITES = i18n.translate(
  'xpack.securitySolution.timeline.properties.addToFavoriteButtonLabel',
  {
    defaultMessage: 'Add to favorites',
  }
);

export const REMOVE_FROM_FAVORITES = i18n.translate(
  'xpack.securitySolution.timeline.properties.removeFromFavoritesButtonLabel',
  {
    defaultMessage: 'Remove from favorites',
  }
);

export const UNTITLED_TIMELINE = i18n.translate(
  'xpack.securitySolution.timeline.properties.untitledTimelinePlaceholder',
  {
    defaultMessage: 'Untitled timeline',
  }
);

export const UNTITLED_TEMPLATE = i18n.translate(
  'xpack.securitySolution.timeline.properties.untitledTemplatePlaceholder',
  {
    defaultMessage: 'Untitled template',
  }
);

export const DESCRIPTION = i18n.translate(
  'xpack.securitySolution.timeline.properties.descriptionPlaceholder',
  {
    defaultMessage: 'Add a description',
  }
);

export const NOTES = i18n.translate('xpack.securitySolution.timeline.properties.notesButtonLabel', {
  defaultMessage: 'Notes',
});

export const NEW_TIMELINE = i18n.translate(
  'xpack.securitySolution.timeline.properties.newTimelineButtonLabel',
  {
    defaultMessage: 'Create new timeline',
  }
);

export const NEW_TEMPLATE_TIMELINE = i18n.translate(
  'xpack.securitySolution.timeline.properties.newTemplateTimelineButtonLabel',
  {
    defaultMessage: 'Create new timeline template',
  }
);

export const ADD_TIMELINE = i18n.translate(
  'xpack.securitySolution.timeline.properties.addTimelineButtonLabel',
  {
    defaultMessage: 'Add new timeline or template',
  }
);

export const ATTACH_TIMELINE_TO_NEW_CASE = i18n.translate(
  'xpack.securitySolution.timeline.properties.newCaseButtonLabel',
  {
    defaultMessage: 'Attach timeline to new case',
  }
);

export const ATTACH_TO_CASE = i18n.translate(
  'xpack.securitySolution.timeline.properties.attachToCaseButtonLabel',
  {
    defaultMessage: 'Attach to case',
  }
);

export const ATTACH_TO_NEW_CASE = i18n.translate(
  'xpack.securitySolution.timeline.properties.attachToNewCaseButtonLabel',
  {
    defaultMessage: 'Attach to new case',
  }
);

export const ATTACH_TIMELINE_TO_EXISTING_CASE = i18n.translate(
  'xpack.securitySolution.timeline.properties.existingCaseButtonLabel',
  {
    defaultMessage: 'Attach timeline to existing case...',
  }
);

export const ATTACH_TO_EXISTING_CASE = i18n.translate(
  'xpack.securitySolution.timeline.properties.attachToExistingCaseButtonLabel',
  {
    defaultMessage: 'Attach to existing case...',
  }
);

export const ATTACH_TIMELINE_TO_CASE_TOOLTIP = i18n.translate(
  'xpack.securitySolution.timeline.properties.attachTimelineToCaseTooltip',
  {
    defaultMessage: 'Please provide a title for your timeline in order to attach it to a case',
  }
);
